#include <SoftwareSerial.h>


uint8_t* detecteGizmoVoiceSensor(SoftwareSerial *eGizmoSerial) {
  uint8_t *receivedData = new uint8_t[5];

  if (eGizmoSerial->available()) {
    // Read data from SoftwareSerial
      //int incomingByte = eGizmoSerial->read();
    
    for (int i = 0; i < 5; i++) {
      receivedData[i] = eGizmoSerial->read();
      //Serial.println(receivedData[i], HEX);
    }
    // Return a pointer to the dynamically allocated data array
    return receivedData;
  }
  // If there is not enough data available, return NULL
  delete[] receivedData; // Free the memory before returning NULL
  return NULL;
}
